Package twisted :: Package manhole :: Module explorer |
[show private | hide private]
[frames | no frames]

## Module twisted.manhole.explorer

Support for python object introspection and exploration.

Note that Explorers, what with their list of attributes, are much like manhole.coil.Configurables. Someone should investigate this further. (TODO)

Also TODO: Determine how much code in here (particularly the function signature stuff) can be replaced with functions available in the `inspect` module available in Python 2.1.

Classes
`CRUFT_WatchyThingie` |
`Explorer` |
`ExplorerBuiltin` |
`ExplorerClass` |
`ExplorerFunction` |
`ExplorerGeneric` |
`ExplorerImmutable` |
`ExplorerInstance` | Attribute groups:
`ExplorerMapping` |
`ExplorerMethod` |
`ExplorerModule` |
`ExplorerSequence` |
`Pool` |
`Signature` | I represent the signature of a callable.
`_MonkeysSetattrMixin` | A mix-in class providing __setattr__ for objects being watched.
`_WatchMonkey` | I hang on a method and tell you what I see.

Variable Summary
`Pool` | `explorerPool`
`int` | `False`
`int` | `True`
`dict` | `typeTable`

Variable Details

    ### explorerPool Type: `Pool` Value:
        {}

    ### False Type: `int` Value:
        0

    ### True Type: `int` Value:
        1

    ### typeTable Type: `dict` Value:
        {<type 'NoneType'>: <class twisted.manhole.explorer.ExplorerImmutable \
        at 0x833eb84>,
         <type 'str'>: <class twisted.manhole.explorer.ExplorerImmutable at 0x\
        833eb84>,
         <type 'tuple'>: <class twisted.manhole.explorer.ExplorerSequence at 0\
        x83b430c>,
         <type 'class'>: <class twisted.manhole.explorer.ExplorerClass at 0x83\
        bce54>,
        ...

Generated by Epydoc 1.1 on Thu May 8 13:18:32 2003 | http://epydoc.sf.net